*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

body{
    background-color: black;
}

i{
    color: white;
}

h1{
    color: white;
    font-size: 2.5rem;
}

h3{
    font-weight: 300;
    color: white;
    font-size: 1.5rem;
}

header{
    text-align: center;
    margin-top: 8em;
}

video{
    max-width: 40%;
}

footer{
    max-width: 100%;
}

.footer-index{
    position: relative;
    top: 10rem;
    margin: 0;
}

.projets{
    padding: 200px;
}

.projets > h2{
    color: white;
    text-align: center;
    margin-top: 0;
    margin-bottom: 10rem;
    font-size: 3rem;
}

.projets-container{
    text-align: center;
}

.projets-descriptions > a > img{
    width: 75%;
}

.row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin-top: 4rem;
}

.column {
    display: flex;
    flex-direction: column;
    flex: 1;
}

/* À propos */

h1, h2, h3 {
    text-align: center;
    color: white;
}

.about > p{
    text-align: center;
}

h2{
    margin-top: 10rem;
}

p{
    color: white;
}

h4, li{
    color: white;
}

.competences > ul{
    list-style-type: none;
}

.competences > ul > li{
    margin-top: 1rem;
}

/* Contact */

#email{
    color: white;
    text-decoration: none;
    font-size: 1.8rem;
    position: relative;
    top: 20px;
}

#email:hover{
    color: #74a7fa;
}

.footer-accueil > p{
    position: relative;
    top: 28rem;
    margin-top: 0;
} 

#btnScrollToTop{
    position: fixed;
    right: 10px;
    bottom: 10px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: #74a7fa;
    color: white;
    outline: none;
    border: none;
    cursor: pointer;
    visibility: visible;
}

/* Menu Hamburger */

nav{
    display: flex;
    justify-content: space-between;
}

nav .mainMenu{
    display: flex;
    list-style: none;
    margin-right: 2rem;
}

nav .mainMenu li a{
    display: inline-block;
    padding: 15px;
    text-decoration: none;
    color: white;
    font-size: 1.3rem;
    margin-top: 2rem;
}

nav .mainMenu li a:hover{
    color: #74a7fa;
    transition-duration: 0.2s;
}

nav .openMenu{
    font-size: 2rem;
    margin: 20px;
    display: none;
    cursor: pointer;
}

nav .mainMenu .closeMenu{
    font-size: 2rem;
    display: none;
    cursor: pointer;
}

nav .closeMenu{
    margin-left: 1rem;
}

nav .mainMenu{
    margin-top: 0.5rem;
}

nav .logo{
    margin: 3px;
    cursor: pointer;
    margin-left: 1rem;
}

.container {
    overflow: hidden;
  }
  
  .filterDiv {
    float: left;
    background-color: #2196F3;
    color: #ffffff;
    width: 100px;
    line-height: 100px;
    text-align: center;
    margin: 2px;
    display: none; /* Hidden by default */
  }
  
  /* The "show" class is added to the filtered elements */
  .show {
    display: block;
  }
  
  /* Style the buttons */
  .btn {
    border: none;
    outline: none;
    padding: 12px 16px;
    background-color: #f1f1f1;
    cursor: pointer;
  }
  
  /* Add a light grey background on mouse-over */
  .btn:hover {
    background-color: #ddd;
  }
  
  /* Add a dark background to the active button */
  .btn.active {
    background-color: #666;
    color: white;
  }

/* Sous-Menu */

/* .subnav{
    /* border: 5px solid pink; */
.footer-competences{
    margin-top: 14rem;
}

.subnav:hover .subnav-content{
    display: block;
}

.subnav-content{
    display: none;
    position: absolute;
    margin-left: 1rem;
}

.subnav-content a{
    text-decoration: none;
    color: white;
}

.subnav-content a:hover{
    color: #74a7fa;
    transition-duration: 0.2s;
}

.subnav-projets i{
    font-size: 1rem;
}

/*----------------------------------
    Largeur de la fenêtre d'affichage du navigateur égale ou inférieure à 1200px
------------------------------------*/

@media(max-width:1200px){

    nav .mainMenu{
        height: 100vh;
        position: fixed;
        top: 0;
        right: 0;
        left: 0;
        z-index: 10;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background-color: black;
        transition: top 1s ease;
        display: none;
    }

    nav .mainMenu .closeMenu{
        display: block;
        position: absolute;
        top: 20px;
        right: 20px;
    }

    nav .openMenu{
        display: block;
    }

    .projets > h2{
        font-size: 1.8rem;
    }
}

/*----------------------------------
    Largeur de la fenêtre d'affichage du navigateur égale ou inférieure à 800px
------------------------------------*/

@media(max-width:800px) {

    h1{
        font-size: 1.9rem;
    }

    h3{
        font-size: 1.3rem;
    }

    video{
        max-width: 10%;
        height: auto;
    }

    .projets{
        padding: 50px;
    }

    .projets-descriptions > a > img{
        max-width: 55%;
        margin-top: 4rem;
    }

    .row {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }
    
    .column {
        display: flex;
        flex-direction: column;
        flex: 1;
        flex-basis: 100%;
    }

    /* À propos */

    .about > p{
        font-size: 0.5rem;
        line-height: 2rem;
        margin-top: 5rem;
    }

    h2{
        font-size: 1.6rem;
    }

    .competences h3{
        font-size: 1rem;
        font-weight: bold;
        margin-bottom: 1rem;
        color: #74a7fa;
    }

    .competences{
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        margin-top: 2rem;
    }

    .competences > ul{
        text-align: center;
    }

    .competences > ul > li{
        margin-top: 1rem;
    }

    /* Contact */

    #email{
        font-size: 1.8rem;
    }

    #btnScrollToTop{
        position: fixed;
        right: 10px;
        bottom: 10px;
        width: 50px;
        height: 50px;
        border-radius: 50%;
        outline: none;
        border: none;
        cursor: pointer;
        visibility: hidden;
    }

}

/*----------------------------------
    Largeur de la fenêtre d'affichage du navigateur égale ou supérieure à 320px
------------------------------------*/

@media(min-width:320px) {

    nav .logo a img{
        width: 25%;
    }

    video{
        max-width: 85%;
        margin-top: 4rem;
    }

    .projets{
        padding: 50px;
    }

    .projets-descriptions > a > img{
        width: 65%;
    }

    .footer-index{
        position: relative;
        top: 13.5rem;
    }

    /* À propos */

    .about > p{
        font-size: 1rem;
        line-height: 2rem;
        margin-top: 5rem;
    }

    h2{
        font-size: 2.5rem;
    }

    h3{
        font-size: 1.2rem;
        margin-top: 1rem;
    }

    /* Compétences */

    .competences h3{
        font-size: 1.1rem;
        font-weight: bold;
        margin-bottom: 1rem;
        color: #74a7fa;
        margin-right: 2rem;
    }

    .competences{
        display: flex;
        justify-content: center;
        margin-top: 4rem;
    }

    .competences > ul{
        text-align: center;
    }

    .competences > ul > li{
        margin-top: 1rem;
        font-size: 0.8rem;
        margin-right: 2rem;
    }

    .competences > ul > li:last-child{
        margin-bottom: 2rem;
    }

    /* .footer-competences{
        
    } */

    /* Contact */

    #email{
        font-size: 1.5rem;
    }

    footer{
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        background: #111;
        height: auto;
        width: 100vw;
        padding-top: 40px;
        color: #fff;
    }

    .footer-projets {
        position: relative;
        top: 10rem;
      }

    .footer-content{
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;
    }

    .footer{
        list-style: none;
        display: flex;
        align-items: center;
        justify-content: center;
        /* margin-right: 2rem; */
    }
    
    .footer li{
        margin: 0 10px;
    }
    
    .footer a{
        text-decoration: none;
        color: #fff;
    }

    .footer a:hover{
        color: #74a7fa;
        transition: 0.2s;
    }

    .footer-content p{
        max-width: 500px;
        margin: 10px auto;
        line-height: 28px;
        font-size: 14px;
        color: #cacdd2;
    }
    
    footer p{
        text-align: center;
    }

    #btnScrollToTop{
        position: fixed;
        right: 10px;
        bottom: 10px;
        width: 50px;
        height: 50px;
        border-radius: 50%;
        outline: none;
        border: none;
        cursor: pointer;
        visibility: hidden;
    }
}

